<?php
/**
 * The Template for displaying trainer archives
 *
 * This template can be overridden by copying it to yourtheme/noo-timetable/archive-noo_trainer.php.
 *
 * @author 		NooTheme
 * @package 	NooTimetable/Templates
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header();

$layout_style = NOO_Settings()->get_option('noo_trainer_style', 'grid');
$columns = NOO_Settings()->get_option('noo_trainer_columns', 4);

$class_layout = ($layout_style == 'grid') ? ' grid' : ' list';
$class_shortcode = 'noo-trainer-shortcode' . $class_layout;

do_action( 'before_noo_timetable_wrap' );
do_action( 'before_noo_timetable_main_wrap' );
?>
<div class="<?php echo esc_attr( $class_shortcode ); ?>">
	<div class="posts-loop-content noo-row">
		<?php if ( have_posts() ) : ?>
			<?php
			global $wp_query;

			if ( $layout_style == 'list' ) {
                $columns = 1;
            }

            $post_class = 'noo-sm-6 noo-md-'.absint((12 / $columns)) . ' ' . $layout_style;

            $post_options = compact('post_class');

			while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

				<?php noo_timetable_get_template( 'content-trainer.php' ); ?>

			<?php endwhile; ?>
		<?php 
		else :
			noo_timetable_get_template( 'content-none.php' );
		endif;
		?>
	</div>
</div> <!-- /.noo-trainer-shortcode -->
<?php noo_timetable_get_template( 'pagination.php' ); ?>
<?php
do_action( 'after_noo_timetable_main_wrap' );
noo_timetable_get_sidebar( 'noo-trainer-sidebar' );
do_action( 'after_noo_timetable_wrap' );
?>
<?php get_footer();